####### This section is automatically generated from
#######    /home/hanord/qt/examples/Makefile

INCDIR	=	$(QTDIR)/include
CFLAGS	=	-O2
LFLAGS	=	-L$(QTDIR)/lib -lqt
CC	=	gcc
MOC	=	moc

####### End of automatically generated section
#
# $Source: /local/lib/cvs/qt/examples/qmag/Makefile,v $
#

#######	Files

SOURCES	=	qmag.cpp
OBJECTS	=	qmag.o
SRCMETA	=	qmag.moc
TARGET	=	qmag

#######	Implicit rules

.SUFFIXES: .cpp

.cpp.o:
	$(CC) -c $(CFLAGS) -I$(INCDIR) $<

#######	Build rules

all: $(TARGET)

$(TARGET): $(SRCMETA) $(OBJECTS)
	$(CC) $(OBJECTS) -o $(TARGET) $(LFLAGS)

depend: $(SRCMETA)
	@makedepend -I$(INCDIR) $(SOURCES) 2> /dev/null

showfiles:
	@echo $(SOURCES) $(HEADERS) Makefile

clean:
	-rm -f *.o *.bak *BAK *~ *% #*
	-rm -f $(SRCMETA) $(TARGET)

#######	Meta objects

qmag.moc: qmag.cpp
	$(MOC) qmag.cpp -o qmag.moc


# DO NOT DELETE THIS LINE -- make depend depends on it.
